## plasma-desktop 5.18.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-desktop)

set(PROJECT_VERSION "5.18.8")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    NewStuffQuick
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Wallet
    Runner
    GlobalAccel
    Declarative
    DBusAddons
    Activities
    ActivitiesStats
    Config
)

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibColorCorrect ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KF5Emoticons CONFIG REQUIRED)
find_package(KF5 REQUIRED COMPONENTS SysGuard)

find_package(KF5Baloo ${KF5_MIN_VERSION})
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to build the File Search KCM"
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "https://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )
if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "https://www.freedesktop.org/wiki/Software/systemd/"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for mouse KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")

find_package(XorgLibinput)
set_package_properties(XorgLibinput PROPERTIES TYPE OPTIONAL)
add_feature_info("XorgLibinput" XORGLIBINPUT_FOUND "Libinput driver headers needed for mouse and touchpad KCM")

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

find_package(Breeze ${PROJECT_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")
if(${Breeze_FOUND})
    if(${BREEZE_WITH_KDECORATION})
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(kcms)
add_subdirectory(knetattach)
add_subdirectory(attica-kde)
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== applets/CMakeLists.txt ===
add_subdirectory(kicker)
add_subdirectory(kickoff)
add_subdirectory(trash)

add_subdirectory(taskmanager)
plasma_install_package(window-list org.kde.plasma.windowlist)
plasma_install_package(icontasks org.kde.plasma.icontasks)

if(KF5Activities_FOUND)
   add_subdirectory(pager)
   add_subdirectory(showActivityManager)
endif()

add_subdirectory(minimizeall)
add_subdirectory(showdesktop)
add_subdirectory(kimpanel)

=== applets/trash/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.trash\")

add_subdirectory(plugin)
plasma_install_package(package org.kde.plasma.trash)

=== kcms/desktoppaths/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoppaths\")

set(kcm_desktoppaths_PART_SRCS
   globalpaths.cpp
   desktoppathssettings.cpp
)

ki18n_wrap_ui(kcm_desktoppaths_PART_SRCS globalpaths.ui)

add_library(kcm_desktoppaths MODULE ${kcm_desktoppaths_PART_SRCS})

target_link_libraries(kcm_desktoppaths
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
)

install(TARGETS kcm_desktoppaths DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES desktoppath.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== kcms/fonts/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_fonts\")

if(FONTCONFIG_FOUND)
    include_directories(${FONTCONFIG_INCLUDE_DIR})
endif()
include_directories(${FREETYPE_INCLUDE_DIRS})

########### next target ###############

include_directories(../kfontinst/lib)

set(kcm_fonts_PART_SRCS ../krdb/krdb.cpp previewrenderengine.cpp previewimageprovider.cpp fonts.cpp ../kfontinst/lib/FcEngine.cpp)

if(X11_FOUND)
    set(kcm_fonts_PART_SRCS ${kcm_fonts_PART_SRCS} ${libkxftconfig_SRCS})
endif()

set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)
qt5_add_dbus_interface(kcm_fonts_PART_SRCS ${klauncher_xml} klauncher_iface)

kconfig_add_kcfg_files(kcm_fonts_PART_SRCS fontssettings.kcfgc GENERATE_MOC)
add_library(kcm_fonts MODULE ${kcm_fonts_PART_SRCS})

target_link_libraries(kcm_fonts Qt5::DBus Qt5::Xml KF5::KCMUtils KF5::I18n KF5::KDELibs4Support ${FREETYPE_LIBRARIES} kfontinst)

if(X11_FOUND)
    target_link_libraries(kcm_fonts
        Qt5::X11Extras
        KF5::I18n
        KF5::Plasma
        KF5::PlasmaQuick
        KF5::Declarative
        KF5::QuickAddons)
    if(FONTCONFIG_FOUND)
        target_link_libraries(kcm_fonts ${FONTCONFIG_LIBRARIES})
    endif()

    target_link_libraries(kcm_fonts ${X11_LIBRARIES} ${X11_Xft_LIB})
endif()

kcoreaddons_desktop_to_json(kcm_fonts "kcm_fonts.desktop")

########### install files ###############
install(FILES fontssettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(TARGETS kcm_fonts DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
install(FILES kcm_fonts.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
kpackage_install_package(package kcm_fonts kcms)

=== kcms/keyboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkeyboard\")

add_subdirectory(tastenbrett)

option(HAVE_XINPUT "X11 XInput" OFF)
option(HAVE_UDEV "UDev" OFF)

if (X11_Xinput_FOUND)
    set(HAVE_XINPUT ON)
elseif (UDEV_FOUND)
    set(HAVE_UDEV ON)
else()
    message(STATUS "X11 XInput and UDev is not found, either is required to keep layouts with keyboard hotplugging")
endif()

### kded daemon ###

set( kded_keyboard_SRCS
    keyboard_daemon.cpp
    layout_memory.cpp
    layout_memory_persister.cpp
    udev_helper.cpp
    x11_helper.cpp
    xinput_helper.cpp
    xkb_helper.cpp
    keyboard_config.cpp
    keyboard_hardware.cpp
    bindings.cpp
# next are temporary for sys tray UI
    layout_tray_icon.cpp
    layouts_menu.cpp
    flags.cpp
    xkb_rules.cpp
)

ecm_qt_declare_logging_category(kded_keyboard_SRCS
    HEADER debug.h
    IDENTIFIER KCM_KEYBOARD
    CATEGORY_NAME org.kde.kcm_keyboard
    DEFAULT_SEVERITY Warning)


include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_library(kded_keyboard MODULE ${kded_keyboard_SRCS})
set_target_properties(kded_keyboard PROPERTIES OUTPUT_NAME keyboard)
kcoreaddons_desktop_to_json(kded_keyboard keyboard.desktop SERVICE_TYPES kdedmodule.desktop)

target_link_libraries(kded_keyboard
    Qt5::Concurrent
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::Service
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    KF5::IconThemes
    XCB::XCB
    XCB::XKB
    ${X11_LIBRARIES}
    ${X11_Xkbfile_LIB}
 )

if (HAVE_XINPUT)
    target_link_libraries(kded_keyboard ${X11_Xinput_LIB})
endif()

if (HAVE_UDEV)
    target_link_libraries(kded_keyboard ${UDEV_LIBS})
endif()

install( TARGETS kded_keyboard DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded )

### kcm keyboard ###

set(kcm_keyboard_PART_SRCS
  kcm_keyboard.cpp
  kcm_keyboard_widget.cpp
  kcm_view_models.cpp
  kcm_add_layout_dialog.cpp
  keyboard_config.cpp
  x11_helper.cpp
  xkb_helper.cpp
  xkb_rules.cpp
  flags.cpp
  iso_codes.cpp
  kcmmisc.cpp
  bindings.cpp
  tastenbrett.cpp)

ecm_qt_declare_logging_category(kcm_keyboard_PART_SRCS
    HEADER debug.h
    IDENTIFIER KCM_KEYBOARD
    CATEGORY_NAME org.kde.kcm_keyboard
    DEFAULT_SEVERITY Warning)

ki18n_wrap_ui(kcm_keyboard_PART_SRCS kcm_keyboard.ui kcm_add_layout_dialog.ui kcmmiscwidget.ui)

add_library(kcm_keyboard MODULE ${kcm_keyboard_PART_SRCS})

target_link_libraries(kcm_keyboard
    Qt5::Concurrent
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    KF5::KCMUtils
    KF5::GlobalAccel
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    KF5::IconThemes
    XCB::XCB
    XCB::XKB
    ${X11_Xkbfile_LIB}
    ${X11_LIBRARIES}
    ${text_paint_LIB}
)

install(TARGETS kcm_keyboard DESTINATION ${KDE_INSTALL_PLUGINDIR} )

install( FILES kcm_keyboard.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )

# Images

add_subdirectory( pics )

configure_file(config-keyboard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-keyboard.h)

# Unit tests
if(BUILD_TESTING)
    find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
    add_subdirectory( tests )
endif()

add_dependencies(kcm_keyboard tastenbrett)

=== kcms/keys/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkeys\")

########### next target ###############

set(kcm_keys_PART_SRCS
  kglobalshortcutseditor.cpp
  globalshortcuts.cpp
  select_scheme_dialog.cpp
  kglobalaccel_interface.cpp
  kglobalaccel_component_interface.cpp
  export_scheme_dialog.cpp
  )

ki18n_wrap_ui( kcm_keys_PART_SRCS
    export_scheme_dialog.ui
    kglobalshortcutseditor.ui
    select_application.ui
    select_scheme_dialog.ui )

set(kglobalaccel_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf5_org.kde.KGlobalAccel.xml)
set_source_files_properties(${kglobalaccel_xml} PROPERTIES INCLUDE "kglobalshortcutinfo.h")
qt5_add_dbus_interface(kdeui_LIB_SRCS ${kglobalaccel_xml} kglobalaccel_interface )

set(kglobalaccel_component_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf5_org.kde.kglobalaccel.Component.xml)
set_source_files_properties(${kglobalaccel_component_xml} PROPERTIES INCLUDE "kglobalshortcutinfo.h")
qt5_add_dbus_interface(kdeui_LIB_SRCS ${kglobalaccel_component_xml} kglobalaccel_component_interface )

add_library(kcm_keys MODULE ${kcm_keys_PART_SRCS})
target_link_libraries(kcm_keys
    Qt5::DBus
    KF5::KCMUtils
    KF5::GlobalAccel
    KF5::I18n
    KF5::KIOWidgets
    KF5::XmlGui
    KF5::ItemModels
    KF5::ItemViews
)

install(TARGETS kcm_keys  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES keys.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES
    schemes/kde3.kksrc
    schemes/kde4.kksrc
    schemes/mac4.kksrc
    schemes/unix3.kksrc
    schemes/win3.kksrc
    schemes/win4.kksrc
    schemes/wm3.kksrc
    DESTINATION  ${KDE_INSTALL_DATADIR}/kcmkeys )

=== kcms/kfontinst/CMakeLists.txt ===
if (KFI_BUILD_STANDALONE)
    cmake_minimum_required(VERSION 2.6.4)
    find_package(KDE4 "4.6.0" REQUIRED)
    find_package(Qt4 REQUIRED)
    find_package(Freetype REQUIRED)
    find_package(Fontconfig REQUIRED)
    find_package(Strigi REQUIRED)
    find_package(X11 REQUIRED)
    macro_log_feature(X11_Xft_FOUND "libxft" "X FreeType interface library" "https://www.x.org" FALSE "" "Font installer and font previews")
    include(KDE4Defaults)
endif ()

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kfontinst\")

if (X11_Xft_FOUND)
    check_include_files(locale.h HAVE_LOCALE_H)
    configure_file(config-fontinst.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fontinst.h)
    include_directories(
        ${FREETYPE_INCLUDE_DIRS}
        ${FONTCONFIG_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/lib
        ${CMAKE_CURRENT_BINARY_DIR}/lib
        ${CMAKE_CURRENT_SOURCE_DIR}/dbus
        ${CMAKE_CURRENT_BINARY_DIR}/dbus
        ${CMAKE_CURRENT_SOURCE_DIR}/viewpart
        ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst
        ${CMAKE_CURRENT_BINARY_DIR}/kcmfontinst)
    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    set(libkfontinstdbusiface_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbus/FontinstIface.cpp)
    set(libkfontinstview_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/FontPreview.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/PreviewSelectAction.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/CharTip.cpp )
    set(libkfontinstactionlabel_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/ActionLabel.cpp)
    set(libkfontinstjobrunner_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/JobRunner.cpp
                                   ${libkfontinstactionlabel_SRCS}
                                   ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/FontsPackage.cpp)

    add_subdirectory( lib ) 
    add_subdirectory( dbus )
    add_subdirectory( kcmfontinst ) 
    add_subdirectory( apps )
    add_subdirectory( kio ) 
    add_subdirectory( thumbnail )
    add_subdirectory( viewpart )

    ecm_install_icons(ICONS sc-apps-preferences-desktop-font-installer.svgz DESTINATION ${KDE_INSTALL_ICONDIR})

endif ()

=== kcms/launch/CMakeLists.txt ===
# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_launchfeedback\")

########### next target ###############

set(kcm_launchfeedback_PART_SRCS launchfeedback.cpp)

set_source_files_properties(${KWIN_EFFECTS_INTERFACE} PROPERTIES INCLUDE "interface_util.h")
qt5_add_dbus_interface(kcm_launchfeedback_PART_SRCS ${KWIN_EFFECTS_INTERFACE} kwin_interface)

kconfig_add_kcfg_files(kcm_launchfeedback_PART_SRCS launchfeedbacksettings.kcfgc GENERATE_MOC)

add_library(kcm_launchfeedback MODULE ${kcm_launchfeedback_PART_SRCS})

target_link_libraries(kcm_launchfeedback
    Qt5::DBus
    KF5::I18n
    KF5::KCMUtils
    KF5::QuickAddons
)

kcoreaddons_desktop_to_json(kcm_launchfeedback "kcm_launchfeedback.desktop")

########### install files ###############

install(FILES launchfeedbacksettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(TARGETS kcm_launchfeedback DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
install(FILES kcm_launchfeedback.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR})
kpackage_install_package(package kcm_launchfeedback kcms)

=== kcms/nightcolor/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_nightcolor\")

set(kcm_nightcolor_SRCS
    kcm.cpp
)

add_library(kcm_nightcolor MODULE ${kcm_nightcolor_SRCS})

target_link_libraries(kcm_nightcolor
    KF5::QuickAddons
    KF5::I18n

    PW::LibColorCorrect
)

kcoreaddons_desktop_to_json(kcm_nightcolor "kcm_nightcolor.desktop" SERVICE_TYPES kcmodule.desktop)

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES kcm_nightcolor.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(TARGETS kcm_nightcolor DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)

kpackage_install_package(package kcm_nightcolor kcms)

=== kcms/runners/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_search\")

set(kcm_search_SRCS
  kcm.cpp
)

add_library(kcm_plasmasearch MODULE ${kcm_search_SRCS})

target_link_libraries(kcm_plasmasearch
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::Runner
  KF5::I18n

  Qt5::DBus
  Qt5::Widgets
)


install(FILES kcm_plasmasearch.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS kcm_plasmasearch DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== kcms/spellchecking/CMakeLists.txt ===
set(kcm_spellchecking_SRCS
   spellchecking.cpp
   )

add_library(kcmspellchecking MODULE ${kcm_spellchecking_SRCS})

target_link_libraries(kcmspellchecking
                      KF5::ConfigWidgets
                      KF5::SonnetUi
                     )

install(TARGETS kcmspellchecking   DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES spellchecking.desktop   DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== debian/changelog ===
plasma-desktop (4:5.18.8-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.8) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:28 +0000

plasma-desktop (4:5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:55 +0100

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.66.0~),
               breeze-dev (>= 4:5.18.8~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               kded5-dev (>= 5.66.0~),
               kinit-dev (>= 5.66.0~),
               kscreenlocker-dev (>= 5.18.4~),
               kwin-dev (>= 4:5.18.7~),
               libappstreamqt-dev (>= 0.12),
               libboost-dev,
               libcanberra-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.66.0~),
               libkf5activitiesstats-dev (>= 5.66.0~),
               libkf5attica-dev (>= 5.66.0~),
               libkf5auth-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5doctools-dev (>= 5.66.0~),
               libkf5emoticons-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5guiaddons-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5itemmodels-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5kdelibs4support-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5newstuff-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5notifyconfig-dev (>= 5.66.0~),
               libkf5people-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5runner-dev (>= 5.66.0~),
               libkf5sysguard-dev (>= 4:5.18.4~),
               libkf5wallet-dev (>= 5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libpulse-dev (>= 0.9.16),
               libqt5svg5-dev (>= 5.10.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.18.8~),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
               xauth,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop

Package: kde-config-touchpad
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkfontinst5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: breeze (>= 4:5.18.0),
         kactivitymanagerd (>= 5.18.0),
         kde-cli-tools (>= 4:5.18.0),
         kded5,
         kio,
         libappstreamqt2,
         oxygen-sounds (>= 4:5.18.0),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework (>= 5.54.0~),
         plasma-integration (>= 5.18.0),
         plasma-workspace (>= 4:5.18.0),
         polkit-kde-agent-1 (>= 4:5.18.0),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.18.0),
            breeze-gtk-theme (>= 5.18.0),
            fonts-hack,
            fonts-noto-cjk,
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-noto-unhinted,
            ibus-data,
            kde-config-gtk-style (>= 4:5.18.0),
            kde-config-screenlocker (>= 5.18.0),
            kde-config-sddm (>= 4:5.18.0),
            kde-style-oxygen-qt5 (>= 4:5.18.0),
            kgamma5 (>= 5.18.0),
            khelpcenter,
            khotkeys (>= 4:5.18.0),
            kinfocenter (>= 4:5.18.0),
            kio-extras,
            kmenuedit (>= 4:5.18.0),
            kscreen (>= 4:5.18.0),
            ksshaskpass (>= 4:5.18.0),
            ksysguard (>= 4:5.18.0),
            kwin-x11 (>= 4:5.18.0) | kwin,
            kwrited (>= 4:5.18.0),
            libpam-kwallet5 (>= 5.18.0),
            plasma-browser-integration,
            plasma-discover (>= 5.18.0),
            plasma-pa (>= 4:5.18.0),
            plasma-thunderbolt,
            powerdevil (>= 4:5.18.0),
            systemsettings (>= 4:5.18.0),
            user-manager (>= 4:5.18.0),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widgets-addons (<< 4:5.15.80~),
        plasma-widget-kimpanel,
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widgets-addons (<< 4:5.15.80~),
          plasma-widget-kimpanel,
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3, ${misc:Depends}
Recommends: plasma-framework (>> 5.22),
            plasma-workspace (>= 4:5.18.0),
            qml-module-org-kde-activities,
            qml-module-org-kde-kcm,
            qml-module-org-kde-kwindowsystem,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-gtk-style (<< 4:5.18.0~),
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.15.80~),
        plasma-desktop (<< 4:5.18.0),
        plasma-widgets-addons (<< 4:5.15.80~),
        plasma-widget-kimpanel,
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-gtk-style (<< 4:5.18.0~),
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.15.80~),
          plasma-desktop (<< 4:5.18.0),
          plasma-widgets-addons (<< 4:5.15.80~),
          plasma-widget-kimpanel,
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Architecture: any
Section: devel
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/unstable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-desktop 5.19.5

=== debian/changelog ===
plasma-desktop (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:35 +0100

plasma-desktop (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:02 +0100

plasma-desktop (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:13 +0100

plasma-desktop (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files.
  * New upstream release (5.19.0)
  * Update lintian overrides.
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:24 +0100

plasma-desktop (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.66.0~),
-               breeze-dev (>= 4:5.18.8~),
+Build-Depends: baloo-kf5-dev (>= 5.70.0~),
+               breeze-dev (>= 4:5.19.5~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kded5-dev (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               kscreenlocker-dev (>= 5.18.4~),
-               kwin-dev (>= 4:5.18.7~),
+               extra-cmake-modules (>= 5.70.0~),
+               kded5-dev (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               kscreenlocker-dev (>= 5.19.5~),
+               kwin-dev (>= 4:5.19.5~),
                libappstreamqt-dev (>= 0.12),
                libboost-dev,
                libcanberra-dev,
@@ -19,34 +19,34 @@
                libfreetype6-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.66.0~),
-               libkf5activitiesstats-dev (>= 5.66.0~),
-               libkf5attica-dev (>= 5.66.0~),
-               libkf5auth-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5emoticons-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5guiaddons-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5notifyconfig-dev (>= 5.66.0~),
-               libkf5people-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5runner-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.18.4~),
-               libkf5wallet-dev (>= 5.66.0~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               libkf5activities-dev (>= 5.70.0~),
+               libkf5activitiesstats-dev (>= 5.70.0~),
+               libkf5attica-dev (>= 5.70.0~),
+               libkf5auth-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5emoticons-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5guiaddons-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5notifyconfig-dev (>= 5.70.0~),
+               libkf5people-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5runner-dev (>= 5.70.0~),
+               libkf5sysguard-dev (>= 4:5.19.5~),
+               libkf5wallet-dev (>= 5.70.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
@@ -72,7 +72,7 @@
                openbox,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.8~),
+               plasma-workspace-dev (>= 4:5.19.5~),
                qtbase5-dev (>= 5.10.0~),
                qtdeclarative5-dev (>= 5.10.0~),
                xauth,
@@ -126,18 +126,18 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze (>= 4:5.18.0),
-         kactivitymanagerd (>= 5.18.0),
-         kde-cli-tools (>= 4:5.18.0),
+Depends: breeze (>= 4:5.19.0~),
+         kactivitymanagerd (>= 5.19.0~),
+         kde-cli-tools (>= 4:5.19.0~),
          kded5,
          kio,
          libappstreamqt2,
-         oxygen-sounds (>= 4:5.18.0),
+         oxygen-sounds (>= 4:5.19.0~),
          plasma-desktop-data (= ${source:Version}),
          plasma-framework (>= 5.54.0~),
-         plasma-integration (>= 5.18.0),
-         plasma-workspace (>= 4:5.18.0),
-         polkit-kde-agent-1 (>= 4:5.18.0),
+         plasma-integration (>= 5.19.0~),
+         plasma-workspace (>= 4:5.19.0~),
+         polkit-kde-agent-1 (>= 4:5.19.0~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kirigami2 (>= 5.54.0~),
@@ -150,37 +150,37 @@
          qml-module-qt-labs-settings,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: bluedevil (>= 4:5.18.0),
-            breeze-gtk-theme (>= 5.18.0),
+Recommends: bluedevil (>= 4:5.19.0~),
+            breeze-gtk-theme (>= 5.19.0~),
             fonts-hack,
             fonts-noto-cjk,
             fonts-noto-hinted,
             fonts-noto-mono,
             fonts-noto-unhinted,
             ibus-data,
-            kde-config-gtk-style (>= 4:5.18.0),
-            kde-config-screenlocker (>= 5.18.0),
-            kde-config-sddm (>= 4:5.18.0),
-            kde-style-oxygen-qt5 (>= 4:5.18.0),
-            kgamma5 (>= 5.18.0),
+            kde-config-gtk-style (>= 4:5.19.0~),
+            kde-config-screenlocker (>= 5.19.0~),
+            kde-config-sddm (>= 4:5.19.0~),
+            kde-style-oxygen-qt5 (>= 4:5.19.0~),
+            kgamma5 (>= 5.19.0~),
             khelpcenter,
-            khotkeys (>= 4:5.18.0),
-            kinfocenter (>= 4:5.18.0),
+            khotkeys (>= 4:5.19.0~),
+            kinfocenter (>= 4:5.19.0~),
             kio-extras,
-            kmenuedit (>= 4:5.18.0),
-            kscreen (>= 4:5.18.0),
-            ksshaskpass (>= 4:5.18.0),
-            ksysguard (>= 4:5.18.0),
-            kwin-x11 (>= 4:5.18.0) | kwin,
-            kwrited (>= 4:5.18.0),
-            libpam-kwallet5 (>= 5.18.0),
+            kmenuedit (>= 4:5.19.0~),
+            kscreen (>= 4:5.19.0~),
+            ksshaskpass (>= 4:5.19.0~),
+            ksysguard (>= 4:5.19.0~),
+            kwin-x11 (>= 4:5.19.0~) | kwin,
+            kwrited (>= 4:5.19.0~),
+            libpam-kwallet5 (>= 5.19.0~),
             plasma-browser-integration,
-            plasma-discover (>= 5.18.0),
-            plasma-pa (>= 4:5.18.0),
+            plasma-discover (>= 5.19.0~),
+            plasma-pa (>= 4:5.19.0~),
             plasma-thunderbolt,
-            powerdevil (>= 4:5.18.0),
-            systemsettings (>= 4:5.18.0),
-            user-manager (>= 4:5.18.0),
+            powerdevil (>= 4:5.19.0~),
+            systemsettings (>= 4:5.19.0~),
+            user-manager (>= 4:5.19.0~),
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -210,30 +210,30 @@
 Architecture: all
 Depends: python3, ${misc:Depends}
 Recommends: plasma-framework (>> 5.22),
-            plasma-workspace (>= 4:5.18.0),
+            plasma-workspace (>= 4:5.19.0~),
             qml-module-org-kde-activities,
             qml-module-org-kde-kcm,
             qml-module-org-kde-kwindowsystem,
             qml-module-qtquick-dialogs,
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
-        kde-config-gtk-style (<< 4:5.18.0~),
+        kde-config-gtk-style (<< 4:5.19.0~),
         kde-config-touchpad (<< 4:5),
         kde-workspace-bin,
         kde-workspace-data,
         kdeplasma-addons-data (<< 4:5.15.80~),
-        plasma-desktop (<< 4:5.18.0),
+        plasma-desktop (<< 4:5.19.0~),
         plasma-widgets-addons (<< 4:5.15.80~),
         plasma-widget-kimpanel,
         ${kde-l10n:all},
 Replaces: baloo-kf5 (<< 5.5),
           kactivities,
-          kde-config-gtk-style (<< 4:5.18.0~),
+          kde-config-gtk-style (<< 4:5.19.0~),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
           kdeplasma-addons-data (<< 4:5.15.80~),
-          plasma-desktop (<< 4:5.18.0),
+          plasma-desktop (<< 4:5.19.0~),
           plasma-widgets-addons (<< 4:5.15.80~),
           plasma-widget-kimpanel,
           ${kde-l10n:all},
